
/**
 * Aktueller Stand
 *
 *   $RCSfile: ModelledObject.cc,v $
 *   $Revision: 1.6 $
 *   $Date: 1998/08/14 13:20:52 $
 *   $Author: myritz $ 
 *
 */

#include "ModelledObject.h"

ModelledObject::ModelledObject()
  : MovingObject(), thePosReliability( 0 ), theSpeedReliability( 0 ) 
{
}

ModelledObject::ModelledObject( int id, 
  const Vector& aPos, 
  const Vector& aSpeed, 
  const Reliability& aPosReliability,
	const Reliability& aSpeedReliability )
  : MovingObject( id, aPos, aSpeed ), 
    thePosReliability( aPosReliability ),
    theSpeedReliability( aSpeedReliability ) 
{
}

