
#include "MovingObject.h"

/**
 * Aktueller Stand
 *
 *   $RCSfile: MovingObject.cc,v $
 *   $Revision: 1.10 $
 *   $Date: 1998/08/14 13:20:57 $
 *   $Author: myritz $ 
 *
 */

MovingObject::MovingObject() : StableObject(), theSpeed( Vector() )
{
}

MovingObject::MovingObject( int id, const Vector& aPos, const Vector& aSpeed ) 
  : StableObject( id, aPos ), theSpeed( aSpeed )
{
}

StorableObject* MovingObject::copy() const {
  return new MovingObject( *this );
}


String MovingObject::toString() const 
{
  String output;

  output = String( "( id: " ) + String( id() ) + 
    String(", position: ") + pos().toString() + 
    String( ", speed: " ) + speed().toString() + 
    String( " )" );
    return output;
}

